/*
 * Copyright (C) 2008 Luke Kenneth Casson Leighton <lkcl@lkcl.net>
 * Copyright (C) 2008 Alp Toker <alp@atoker.com>
 * Copyright (C) 2008 Apple Inc.
 */

#ifndef __GdomXSLTProcessor_H___INT_
#define __GdomXSLTProcessor_H___INT_
#include "glib-object.h"
#include "gdom/PrivateIntGdomDOMObject.h"
#include "GDOMObject.h"
#include "XSLTProcessor.h"
namespace WebCore {
    gpointer toGDOM(XSLTProcessor* node);
} /* namespace WebCore */ 
G_BEGIN_DECLS
class GDOMXSLTProcessor : public GDOMObject {
    typedef GDOMObject Base;
public:
    int get_gobj_type() { return GDOM_TYPE_XSLT_PROCESSOR; }
    GDOMXSLTProcessor(PassRefPtr<WebCore::XSLTProcessor> impl);
    virtual ~GDOMXSLTProcessor();
    WebCore::XSLTProcessor* impl() const { return m_impl.get(); }

private:
    RefPtr<WebCore::XSLTProcessor> m_impl;
};
G_END_DECLS

#endif /* __GdomXSLTProcessor_H___INT_*/
